summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorZach White <skullydazed@gmail.com>2020-12-18 12:17:53 -0800
committerGitHub <noreply@github.com>2020-12-18 12:17:53 -0800
commit03cbee8637cb2de632db718db62db31c3d08ae4d (patch)
tree907ac196b226d842eb72d87cbec928ba5c4bed0e /util
parenta9f7d4dccc9cd0351658e64d5fbc809c93ac9b46 (diff)
Add the ability to exclude keyboards from travis builds (#11178)
* add the ability to exclude keyboards from travis builds * add filtering to make all: * only skip keyboards during make all: * working implementation * forego a CI_KEYBOARDS variable * optimize the startup by only listing keyboards once * add sort -u to all list_keyboard invocations * move the if else if tree back to 1 level
Diffstat (limited to 'util')
-rwxr-xr-xutil/list_keyboards.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/util/list_keyboards.sh b/util/list_keyboards.sh
new file mode 100755
index 0000000000..672d4a7843
--- /dev/null
+++ b/util/list_keyboards.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Temporary shell script to find keyboards
+#
+# This allows us to exclude keyboards by including a .noci file.
+
+find keyboards -type f -name rules.mk | grep -v keymaps | while read keyboard; do
+ keyboard=$(echo $keyboard | sed 's!keyboards/\(.*\)/rules.mk!\1!')
+
+ [ "$1" = "noci" -a -e "keyboards/${keyboard}/.noci" ] || echo "$keyboard"
+done